Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066554 - [abrt] WARNING: CPU: 4 PID: 0 at drivers/usb/host/xhci-ring.c:1584 handle_cmd_completion+0xd17/0xe00() [NEEDINFO]
Summary: [abrt] WARNING: CPU: 4 PID: 0 at drivers/usb/host/xhci-ring.c:1584 handle_cmd...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:08808ac16cfbdf85d88f7f4af4d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 15:56 UTC by Edouard Bourguignon
Modified: 2014-12-10 15:01 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-10 15:01:59 UTC
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (deleted)
2014-02-18 15:56 UTC, Edouard Bourguignon
no flags Details
patch from Mathias Nyman (deleted)
2014-06-03 23:59 UTC, John Call
no flags Details | Diff
dmesg output after patch and 180GB transfer from external USB3 HDD enclosure (deleted)
2014-06-04 00:11 UTC, John Call
no flags Details

Description Edouard Bourguignon 2014-02-18 15:56:51 UTC
Description of problem:
just try to open gnome-session after upgrade to kernel 3.13

Additional info:
reporter:       libreport-2.1.12
WARNING: CPU: 4 PID: 0 at drivers/usb/host/xhci-ring.c:1584 handle_cmd_completion+0xd17/0xe00()
Modules linked in: ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw asus_nb_wmi iTCO_wdt asus_wmi iTCO_vendor_support sparse_keymap x86_pkg_temp_thermal coretemp snd_hda_codec_realtek kvm_intel arc4 snd_hda_codec_hdmi kvm snd_hda_intel ath9k ath9k_common crct10dif_pclmul snd_hda_codec crc32_pclmul crc32c_intel snd_hwdep ath9k_hw uvcvideo snd_seq snd_seq_device videobuf2_vmalloc videobuf2_memops ath ghash_clmulni_intel videobuf2_core mac80211 videodev i2c_i801 snd_pcm joydev microcode media cfg80211 ath3k serio_raw btusb hid_multitouch bluetooth r8169 snd_page_alloc lpc_ich snd_timer mfd_core mii snd rfkill mei_me soundcore mei shpchp nfsd auth_rpcgss nfs_acl lockd sunrpc i915 ttm mxm_wmi i2c_algo_bit drm_kms_helper drm usb_storage i2c_core wmi video [last unloaded: nouveau]
CPU: 4 PID: 0 Comm: swapper/4 Not tainted 3.13.3-201.fc20.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. N550JV/N550JV, BIOS N550JV.208 11/19/2013
 0000000000000009 ffff88022ef03d48 ffffffff81686b48 0000000000000000
 ffff88022ef03d80 ffffffff8106d47d ffff880223035980 000000000000000a
 ffff8802230334b0 00000002230334b0 ffff880221e02000 ffff88022ef03d90
Call Trace:
 <IRQ>  [<ffffffff81686b48>] dump_stack+0x45/0x56
 [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8106d55a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814cbfc7>] handle_cmd_completion+0xd17/0xe00
 [<ffffffff814cc77b>] xhci_irq+0x36b/0x1b90
 [<ffffffffa010b298>] ? ironlake_irq_handler+0x6e8/0xe80 [i915]
 [<ffffffff814cdfb1>] xhci_msi_irq+0x11/0x20
 [<ffffffff810c10de>] handle_irq_event_percpu+0x3e/0x1d0
 [<ffffffff810c12a7>] handle_irq_event+0x37/0x60
 [<ffffffff810c3c4f>] handle_edge_irq+0x6f/0x120
 [<ffffffff8101560f>] handle_irq+0xbf/0x150
 [<ffffffff8169174a>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff81697d4d>] do_IRQ+0x4d/0xc0
 [<ffffffff8168da2d>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff815317c2>] ? cpuidle_enter_state+0x52/0xc0
 [<ffffffff815318e9>] cpuidle_idle_call+0xb9/0x1f0
 [<ffffffff8101c8fe>] arch_cpu_idle+0xe/0x30
 [<ffffffff810c05c5>] cpu_startup_entry+0xc5/0x290
 [<ffffffff81040e4b>] start_secondary+0x22b/0x2e0

Comment 1 Edouard Bourguignon 2014-02-18 15:56:57 UTC
Created attachment 864626 [details]
File: dmesg

Comment 2 Edouard Bourguignon 2014-02-25 14:14:18 UTC
Seems to work better with kernel-3.13.4-200.fc20.x86_64

Comment 3 Kwok Che Tang 2014-03-17 10:58:32 UTC
Description of problem:
How did this problem happen?

On boot up.


How can it be reproduced?

Always using kernel 3.13.6-200.fc20.x86_64.


Any additional comments useful for diagnosing the problem?

Mounting of USB 3.0 devices on the USB 3.0 ports are currently not working - moutning of USB 2.0 devices are working on the USB 3.0 ports.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.6-200.fc20.x86_64 root=/dev/mapper/vg_boot-fedora_root ro rd.lvm.lv=vg_boot/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=vg_boot/fedora_root
kernel:         3.13.6-200.fc20.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 5 PID: 0 at drivers/usb/host/xhci-ring.c:1572 handle_cmd_completion+0xdea/0xe00()
Modules linked in: usb_storage ccm xt_CHECKSUM ip6t_rpfilter xt_addrtype ipt_MASQUERADE ip6t_REJECT dm_thin_pool dm_persistent_data dm_bufio dm_bio_prison libcrc32c loop xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw bnep rtsx_pci_sdmmc rtsx_pci_ms mmc_core iTCO_wdt memstick iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel fuse arc4 kvm snd_hda_codec_hdmi snd_hda_codec_via iwldvm crct10dif_pclmul mac80211 crc32_pclmul snd_hda_intel crc32c_intel snd_hda_codec iwlwifi ghash_clmulni_intel snd_hwdep
cfg80211 snd_seq r8169 rtsx_pci mii snd_seq_device snd_pcm btusb joydev microcode bluetooth snd_page_alloc serio_raw snd_timer i2c_i801 rfkill mei_me snd mei shpchp lpc_ich soundcore mfd_core nfsd auth_rpcgss nfs_acl lockd sunrpc nouveau i915 mxm_wmi ttm i2c_algo_bit drm_kms_helper drm i2c_core wmi video
CPU: 5 PID: 0 Comm: swapper/5 Not tainted 3.13.6-200.fc20.x86_64 #1
Hardware name: Notebook                         W230ST                 /W230ST                 , BIOS 4.6.5 11/18/2013
0000000000000009 ffff88042fb43d48 ffffffff8168730c 0000000000000000
ffff88042fb43d80 ffffffff8106d47d ffff880416b536d0 0000000000000003
ffff880416b53220 0000000416b53220 ffff8804181a0000 ffff88042fb43d90
Call Trace:
<IRQ>  [<ffffffff8168730c>] dump_stack+0x45/0x56
[<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8106d55a>] warn_slowpath_null+0x1a/0x20
[<ffffffff814cc1ba>] handle_cmd_completion+0xdea/0xe00
[<ffffffff8101b1c3>] ? native_sched_clock+0x13/0x80
[<ffffffff8101b239>] ? sched_clock+0x9/0x10
[<ffffffff810cc8a3>] ? ktime_get+0x43/0xc0
[<ffffffff810426a3>] ? lapic_next_deadline+0x33/0x40
[<ffffffff814cc89b>] xhci_irq+0x36b/0x1b90
[<ffffffff810d4994>] ? tick_program_event+0x24/0x30
[<ffffffff8131c350>] ? timerqueue_add+0x60/0xb0
[<ffffffff81091cd5>] ? enqueue_hrtimer+0x25/0x80
[<ffffffff810925aa>] ? __hrtimer_start_range_ns+0x1ba/0x3e0
[<ffffffff814ce0d1>] xhci_msi_irq+0x11/0x20
[<ffffffff810c111e>] handle_irq_event_percpu+0x3e/0x1d0
[<ffffffff810c12e7>] handle_irq_event+0x37/0x60
[<ffffffff810c3c8f>] handle_edge_irq+0x6f/0x120
[<ffffffff8101560f>] handle_irq+0xbf/0x150
[<ffffffff81691efa>] ? atomic_notifier_call_chain+0x1a/0x20
[<ffffffff8169850d>] do_IRQ+0x4d/0xc0
[<ffffffff8168e1ed>] common_interrupt+0x6d/0x6d
<EOI>  [<ffffffff815318c2>] ? cpuidle_enter_state+0x52/0xc0
[<ffffffff815319e9>] cpuidle_idle_call+0xb9/0x1f0
[<ffffffff8101c8fe>] arch_cpu_idle+0xe/0x30
[<ffffffff810c0605>] cpu_startup_entry+0xc5/0x290
[<ffffffff81040e4b>] start_secondary+0x22b/0x2e0

Comment 4 Diego 2014-03-18 11:00:21 UTC
Description of problem:
I had this report after the first boot after a Fedora 20 netinstall on an Asus N550JV-CN163H

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.6-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=it_IT.UTF-8
kernel:         3.13.6-200.fc20.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 0 at drivers/usb/host/xhci-ring.c:1572 handle_cmd_completion+0xdea/0xe00()
Modules linked in: asus_nb_wmi asus_wmi iTCO_wdt iTCO_vendor_support sparse_keymap vfat fat arc4 snd_hda_codec_realtek ath9k snd_hda_codec_hdmi ath9k_common ath9k_hw x86_pkg_temp_thermal coretemp snd_hda_intel snd_hda_codec kvm_intel ath snd_hwdep kvm mac80211 snd_seq uvcvideo ath3k videobuf2_vmalloc snd_seq_device videobuf2_memops crct10dif_pclmul btusb videobuf2_core crc32_pclmul crc32c_intel videodev bluetooth snd_pcm media cfg80211 ghash_clmulni_intel joydev microcode serio_raw snd_page_alloc r8169 snd_timer i2c_i801 snd mei_me mii rfkill lpc_ich mei mfd_core soundcore shpchp nfsd auth_rpcgss nfs_acl lockd sunrpc nouveau i915 mxm_wmi ttm i2c_algo_bit drm_kms_helper drm i2c_core wmi video
CPU: 4 PID: 0 Comm: swapper/4 Not tainted 3.13.6-200.fc20.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. N550JV/N550JV, BIOS N550JV.208 11/19/2013
 0000000000000009 ffff88042ef03d48 ffffffff8168730c 0000000000000000
 ffff88042ef03d80 ffffffff8106d47d ffff88041550f6a0 0000000000000004
 ffff88041550f130 000000041550f130 ffff880417b1a000 ffff88042ef03d90
Call Trace:
 <IRQ>  [<ffffffff8168730c>] dump_stack+0x45/0x56
 [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8106d55a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff814cc1ba>] handle_cmd_completion+0xdea/0xe00
 [<ffffffff814cc89b>] xhci_irq+0x36b/0x1b90
 [<ffffffff814ce0d1>] xhci_msi_irq+0x11/0x20
 [<ffffffff810c111e>] handle_irq_event_percpu+0x3e/0x1d0
 [<ffffffff810c12e7>] handle_irq_event+0x37/0x60
 [<ffffffff810c3c8f>] handle_edge_irq+0x6f/0x120
 [<ffffffff8101560f>] handle_irq+0xbf/0x150
 [<ffffffff81691efa>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8169850d>] do_IRQ+0x4d/0xc0
 [<ffffffff8168e1ed>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff815318c2>] ? cpuidle_enter_state+0x52/0xc0
 [<ffffffff815319e9>] cpuidle_idle_call+0xb9/0x1f0
 [<ffffffff8101c8fe>] arch_cpu_idle+0xe/0x30
 [<ffffffff810c0605>] cpu_startup_entry+0xc5/0x290
 [<ffffffff81040e4b>] start_secondary+0x22b/0x2e0

Comment 5 Bruno 2014-04-27 03:40:30 UTC
Description of problem:
Don't know what triggered this, but once it hapened I can't use any USB device including a bilt in webcam on my laptop.
No kernel/driver changes since last working situation.

Triggered right after login.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.1
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.10-200.fc20.x86_64 root=/dev/mapper/OS-root ro rd.lvm.lv=OS/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=OS/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.13.10-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 0 at drivers/usb/host/xhci-ring.c:1572 handle_cmd_completion+0xdea/0xe00()
Modules linked in: fuse uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media ccm bnep bluetooth ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vfat fat asus_nb_wmi asus_wmi sparse_keymap iTCO_wdt iTCO_vendor_support arc4 ath9k ath9k_common ath9k_hw ath mac80211 cfg80211 x86_pkg_temp_thermal mei_me mei joydev snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd rfkill serio_raw
lpc_ich mfd_core coretemp i2c_i801 soundcore shpchp kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel microcode nfsd auth_rpcgss nfs_acl lockd sunrpc nouveau i915 alx mxm_wmi mdio ttm i2c_algo_bit drm_kms_helper drm i2c_core wmi video
CPU: 6 PID: 0 Comm: swapper/6 Not tainted 3.13.10-200.fc20.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. X450JF/X450JF, BIOS 216 08/30/2013
0000000000000009 ffff88022fb83d48 ffffffff81687eac 0000000000000000
ffff88022fb83d80 ffffffff8106d4dd ffff88022026d6f0 0000000000000006
ffff88022026d210 000000022026d210 ffff8802222c2000 ffff88022fb83d90
Call Trace:
<IRQ>  [<ffffffff81687eac>] dump_stack+0x45/0x56
[<ffffffff8106d4dd>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8106d5ba>] warn_slowpath_null+0x1a/0x20
[<ffffffff814cc89a>] handle_cmd_completion+0xdea/0xe00
[<ffffffff814139f7>] ? put_device+0x17/0x20
[<ffffffff814ccf7b>] xhci_irq+0x36b/0x1b90
[<ffffffff81434a10>] ? scsi_finish_command+0xb0/0x110
[<ffffffff814ce7b1>] xhci_msi_irq+0x11/0x20
[<ffffffff810c119e>] handle_irq_event_percpu+0x3e/0x1d0
[<ffffffff810c1367>] handle_irq_event+0x37/0x60
[<ffffffff810c3cef>] handle_edge_irq+0x6f/0x120
[<ffffffff8101560f>] handle_irq+0xbf/0x150
[<ffffffff81692a7a>] ? atomic_notifier_call_chain+0x1a/0x20
[<ffffffff8169908d>] do_IRQ+0x4d/0xc0
[<ffffffff8168ed6d>] common_interrupt+0x6d/0x6d
<EOI>  [<ffffffff81532162>] ? cpuidle_enter_state+0x52/0xc0
[<ffffffff81532289>] cpuidle_idle_call+0xb9/0x1f0
[<ffffffff8101c8fe>] arch_cpu_idle+0xe/0x30
[<ffffffff810c0685>] cpu_startup_entry+0xc5/0x290
[<ffffffff81040e5b>] start_secondary+0x22b/0x2e0

Comment 6 Bruno 2014-04-27 04:16:53 UTC
(In reply to Bruno from comment #5)
> Description of problem:
> Don't know what triggered this, but once it hapened I can't use any USB
> device including a bilt in webcam on my laptop.
> No kernel/driver changes since last working situation.
> 
> Triggered right after login.

[UPDATE]
Not really at login, problem occurs every time I try to access the webcam.
It happens I installed skype and that was causing the issue.
Prior to this I hadn't used the webcam.

Comment 7 Bruno 2014-04-27 06:27:12 UTC
I managed to solve my problem, and given a previous comment I should note this was in an Asus laptop as well.

In my case I had a legacy option enabled in the BIOS/whatever it's called nowadays for the USB controller.
Disabling it forces UEFI mode, which I'm currently using for all OSs, and solved this problem for me.

A better description of the symptoms:
USB3.0 worked, but attempting to use an USB2.0 port would result in all or at least USB2.0 ports malfunctioning.
Couldn't determine under which conditions USB3.0 ports remained functional, but it happened once or twice.

Hope it helps.

Comment 8 John Call 2014-05-24 01:38:33 UTC
Description of problem:
Connected an external HDD using the USB 3.0 ports.  The external HDD is USB 3.0 capable.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.4-200.fc20.x86_64 root=UUID=72fcc4ee-0513-42ad-9d36-79d9022c07ae ro vconsole.font=latarcyrheb-sun16
kernel:         3.14.4-200.fc20.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 0 at drivers/usb/host/xhci-ring.c:1582 handle_cmd_completion+0xe2e/0xe40()
Modules linked in: i2c_algo_bit drm_kms_helper ttm drm pata_atiixp i2c_core
CPU: 7 PID: 0 Comm: swapper/7 Not tainted 3.14.4-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. GA-78LMT-USB3/GA-78LMT-USB3, BIOS FA 04/23/2013
 0000000000000000 62b8c71cb009704e ffff88022edc3d30 ffffffff816ef1d2
 0000000000000000 ffff88022edc3d68 ffffffff8108a1bd ffff880221896470
 0000000000000000 ffff880221896020 0000000221896020 ffff8802228a2000
Call Trace:
 <IRQ>  [<ffffffff816ef1d2>] dump_stack+0x45/0x56
 [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a2ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff815211de>] handle_cmd_completion+0xe2e/0xe40
 [<ffffffff8101cea5>] ? native_sched_clock+0x35/0x90
 [<ffffffff815218bb>] xhci_irq+0x37b/0x1b70
 [<ffffffff81098d88>] ? update_process_times+0x68/0x70
 [<ffffffff815230c1>] xhci_msi_irq+0x11/0x20
 [<ffffffff810e573e>] handle_irq_event_percpu+0x3e/0x1d0
 [<ffffffff810e5907>] handle_irq_event+0x37/0x60
 [<ffffffff810e84bf>] handle_edge_irq+0x6f/0x120
 [<ffffffff810169ff>] handle_irq+0xbf/0x150
 [<ffffffff816fa4ea>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8170178f>] do_IRQ+0x4f/0xf0
 [<ffffffff816f66ad>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff8158c77f>] ? cpuidle_enter_state+0x4f/0xc0
 [<ffffffff8158c778>] ? cpuidle_enter_state+0x48/0xc0
 [<ffffffff8158c8a9>] cpuidle_idle_call+0xb9/0x1f0
 [<ffffffff8101e83e>] arch_cpu_idle+0xe/0x30
 [<ffffffff810e4c45>] cpu_startup_entry+0xf5/0x2a0
 [<ffffffff81044f8b>] start_secondary+0x23b/0x300

Comment 9 John Call 2014-05-24 01:58:14 UTC
A bit more information on my hardware (motherboard and USB3 controller)

[root@nas2 ~]# dmidecode --type baseboard
# dmidecode 2.12
SMBIOS 2.4 present.

Handle 0x0002, DMI type 2, 8 bytes
Base Board Information
	Manufacturer: Gigabyte Technology Co., Ltd.
	Product Name: GA-78LMT-USB3
	Version: x.x
	Serial Number:  

[root@nas2 ~]# lspci -nnk -s "3:"
03:00.0 USB controller [0c03]: VIA Technologies, Inc. Device [1106:3483] (rev 01)
	Subsystem: Gigabyte Technology Co., Ltd Device [1458:5007]
	Kernel driver in use: xhci_hcd

[root@nas2 ~]# dmesg
...clipped...
[ 5586.872726] usb 9-1: new SuperSpeed USB device number 2 using xhci_hcd
[ 5586.883557] usb 9-1: Parent hub missing LPM exit latency info.  Power management will be impacted.
[ 5586.884237] usb 9-1: New USB device found, idVendor=174c, idProduct=55aa
[ 5586.884296] usb 9-1: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[ 5586.884357] usb 9-1: Product: ASMT1053
[ 5586.884392] usb 9-1: Manufacturer: asmedia
[ 5586.884428] usb 9-1: SerialNumber: 123456789012
[ 5586.885521] usb-storage 9-1:1.0: USB Mass Storage device detected
[ 5586.885746] usb-storage 9-1:1.0: Quirks match for vid 174c pid 55aa: 400000
[ 5586.885902] scsi10 : usb-storage 9-1:1.0
[ 5587.888729] scsi 10:0:0:0: Direct-Access     asmedia  ASMT1053         0    PQ: 0 ANSI: 6
[ 5587.889183] sd 10:0:0:0: Attached scsi generic sg3 type 0
[ 5587.890443] sd 10:0:0:0: [sdd] Spinning up disk...
[ 5588.891344] ...ready
[ 5590.896836] sd 10:0:0:0: [sdd] 976773168 512-byte logical blocks: (500 GB/465 GiB)
[ 5590.897285] sd 10:0:0:0: [sdd] Write Protect is off
[ 5590.897301] sd 10:0:0:0: [sdd] Mode Sense: 43 00 00 00
[ 5590.897688] sd 10:0:0:0: [sdd] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[ 5590.987370]  sdd: sdd1
[ 5590.989043] sd 10:0:0:0: [sdd] Attached SCSI disk
[ 5597.073562] EXT4-fs (sdd1): mounted filesystem with ordered data mode. Opts: (null)

Comment 10 John Call 2014-06-01 06:10:29 UTC
Description of problem:
This problem exists simply by booting the kernel with the VIA USB 3.0 controller present (part of the Gigabyte 78LMT-USB3 motherboard)

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.15.0-0.rc7.git0.1.fc21.x86_64 root=UUID=72fcc4ee-0513-42ad-9d36-79d9022c07ae ro vconsole.font=latarcyrheb-sun16 LANG=en_US.UTF-8
kernel:         3.15.0-0.rc7.git0.1.fc21.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 0 at drivers/usb/host/xhci-ring.c:1615 handle_cmd_completion+0xc9f/0xf40()
Modules linked in: ata_generic pata_acpi radeon i2c_algo_bit drm_kms_helper ttm drm pata_atiixp megaraid_sas i2c_core
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 3.15.0-0.rc7.git0.1.fc21.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. GA-78LMT-USB3/GA-78LMT-USB3, BIOS FA 04/23/2013
 0000000000000000 0977956b9a172b12 ffff88022ecc3d20 ffffffff81701784
 0000000000000000 ffff88022ecc3d58 ffffffff8108a20d 0000000000000000
 0000000000000001 ffff880222317470 ffff880222317020 ffff8800ab168000
Call Trace:
 <IRQ>  [<ffffffff81701784>] dump_stack+0x45/0x56
 [<ffffffff8108a20d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a33a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8152c94f>] handle_cmd_completion+0xc9f/0xf40
 [<ffffffff810cc290>] ? load_balance+0x650/0x850
 [<ffffffff810bbe49>] ? ttwu_do_wakeup+0x19/0xd0
 [<ffffffff8152d2eb>] xhci_irq+0x3ab/0x1e90
 [<ffffffff8152ede1>] xhci_msi_irq+0x11/0x20
 [<ffffffff810e6387>] handle_irq_event_percpu+0x77/0x1a0
 [<ffffffff810e64e7>] handle_irq_event+0x37/0x60
 [<ffffffff810e931e>] handle_edge_irq+0x5e/0x120
 [<ffffffff81015a94>] handle_irq+0x84/0x150
 [<ffffffff8170c29a>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8171370d>] do_IRQ+0x4d/0xe0
 [<ffffffff8170822d>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff8101c2d9>] ? sched_clock+0x9/0x10
 [<ffffffff81599849>] ? cpuidle_enter_state+0x49/0xc0
 [<ffffffff815998f7>] cpuidle_enter+0x17/0x20
 [<ffffffff810d2f55>] cpu_startup_entry+0x325/0x450
 [<ffffffff810447c9>] start_secondary+0x249/0x2f0

Comment 11 nioroso_x3 2014-06-01 23:52:55 UTC
Description of problem:
Up to kernel 3.13 the iommu=pt option prevented this problem. Now it always happens, even with the iommu disabled.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.4-200.fc20.x86_64 root=UUID=68739f6c-0fc6-4686-ab99-0cde48a5f283 ro vconsole.font=latarcyrheb-sun16 rhgb quiet nmi_watchdog=0 hpet=force iommu=pt LANG=en_US.UTF-8
kernel:         3.14.4-200.fc20.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 0 at drivers/usb/host/xhci-ring.c:1582 handle_cmd_completion+0xe2e/0xe40()
Modules linked in: radeon(+) i2c_algo_bit r8169 drm_kms_helper firewire_ohci mii ttm firewire_core crc_itu_t drm i2c_core
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 3.14.4-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./990FXA-UD3, BIOS F2 07/15/2013
 0000000000000000 0838640893f7d1be ffff88023ecc3d30 ffffffff816ef1d2
 0000000000000000 ffff88023ecc3d68 ffffffff8108a1bd ffff880230f96470
 0000000000000000 ffff880230f96020 0000000230f96020 ffff8800ba626000
Call Trace:
 <IRQ>  [<ffffffff816ef1d2>] dump_stack+0x45/0x56
 [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a2ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff815211de>] handle_cmd_completion+0xe2e/0xe40
 [<ffffffff815218bb>] xhci_irq+0x37b/0x1b70
 [<ffffffff810cc6d6>] ? rebalance_domains+0x156/0x250
 [<ffffffff815230c1>] xhci_msi_irq+0x11/0x20
 [<ffffffff810e573e>] handle_irq_event_percpu+0x3e/0x1d0
 [<ffffffff810e5907>] handle_irq_event+0x37/0x60
 [<ffffffff810e84bf>] handle_edge_irq+0x6f/0x120
 [<ffffffff810169ff>] handle_irq+0xbf/0x150
 [<ffffffff816fa4ea>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8170178f>] do_IRQ+0x4f/0xf0
 [<ffffffff816f66ad>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff8158c77f>] ? cpuidle_enter_state+0x4f/0xc0
 [<ffffffff8158c778>] ? cpuidle_enter_state+0x48/0xc0
 [<ffffffff8158c8a9>] cpuidle_idle_call+0xb9/0x1f0
 [<ffffffff8101e83e>] arch_cpu_idle+0xe/0x30
 [<ffffffff810e4c45>] cpu_startup_entry+0xf5/0x2a0
 [<ffffffff81044f8b>] start_secondary+0x23b/0x300

Comment 12 oakwhiz 2014-06-02 00:44:36 UTC
kernel: 3.14.4-200.fc20.x86_64

command line: BOOT_IMAGE=/vmlinuz-3.14.4-200.fc20.x86_64 root=/dev/mapper/vg_disk1-root ro vconsole.font=latarcyrheb-sun16 rd.lvm.lv=vg_disk1/root rhgb quiet amd_iommu=on iommu=pt iommu=1


WARNING: CPU: 1 PID: 533 at drivers/usb/host/xhci-ring.c:1582 handle_cmd_completion+0xe2e/0xe40()
Modules linked in: cx23885(+) btcx_risc altera_ci videobuf_dvb ghash_clmulni_intel(+) tda18271 hid_roccat_savu(+) hid_roccat altera_stapl microcode hid_roccat_common tveeprom cx2341x videobuf_dma_sg videobuf_core dvb_core rc_core serio_raw v4l2_common videodev snd_hda_codec_realtek snd_hda_codec_generic fam15h_power snd_hda_codec_hdmi ib_mthca(+) edac_core snd_seq ib_mad snd_seq_device edac_mce_amd media k10temp ib_core snd_hda_intel snd_hda_codec sp5100_tco ib_addr snd_hwdep i2c_piix4 snd_pcm snd_timer snd soundcore shpchp tpm_infineon wmi tpm_tis tpm acpi_cpufreq radeon firewire_ohci r8169 firewire_core i2c_algo_bit mii crc_itu_t drm_kms_helper ttm drm i2c_core
CPU: 1 PID: 533 Comm: systemd-udevd Not tainted 3.14.4-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./990FXA-UD3, BIOS F2 07/15/2013
 0000000000000000 000000001b33bfb8 ffff88043ec43d30 ffffffff816ef1d2
 0000000000000000 ffff88043ec43d68 ffffffff8108a1bd ffff8800b9915470
 0000000000000000 ffff8800b9915020 00000000b9915020 ffff880426316000
Call Trace:
 <IRQ>  [<ffffffff816ef1d2>] dump_stack+0x45/0x56
 [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a2ea>] warn_slowpath_null+0x1a/0x20
 [<ffffffff815211de>] handle_cmd_completion+0xe2e/0xe40
 [<ffffffff815218bb>] xhci_irq+0x37b/0x1b70
 [<ffffffff81098d88>] ? update_process_times+0x68/0x70
 [<ffffffff815230c1>] xhci_msi_irq+0x11/0x20
 [<ffffffff810e573e>] handle_irq_event_percpu+0x3e/0x1d0
 [<ffffffff810e5907>] handle_irq_event+0x37/0x60
 [<ffffffff810e84bf>] handle_edge_irq+0x6f/0x120
 [<ffffffff810169ff>] handle_irq+0xbf/0x150
 [<ffffffff8170178f>] do_IRQ+0x4f/0xf0
 [<ffffffff816f66ad>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff816ff569>] ? system_call_fastpath+0x16/0x1b


lspci (truncated):

00:00.2 IOMMU: Advanced Micro Devices, Inc. [AMD/ATI] RD990 I/O Memory Management Unit (IOMMU)
00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.5 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:16.0 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:16.2 USB controller: Advanced Micro Devices, Inc. [AMD/ATI] SB7x0/SB8x0/SB9x0 USB EHCI Controller
02:00.0 USB controller: VIA Technologies, Inc. Device 3483 (rev 01)
05:0e.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller (rev c0)

Comment 13 John Call 2014-06-03 23:57:32 UTC
Mathias Nyman posted a patch to the linux-usb mailing list on June 3rd that got this to work for me!  For reference, http://www.spinics.net/lists/linux-usb/msg108798.html

I applied his patch to the current F20 kernel, 3.14.4-200.fc20, and recompiled successfully.

I've upload my patch and dmesg output here...

Comment 14 John Call 2014-06-03 23:59:37 UTC
Created attachment 901927 [details]
patch from Mathias Nyman

Comment 15 John Call 2014-06-04 00:11:17 UTC
Created attachment 901930 [details]
dmesg output after patch and 180GB transfer from external USB3 HDD enclosure

I booted into the patch kernel, attached my USB 3 HDD external enclosure, and transfered 180GB of data at ~90MB/s

Comment 16 Kevin Hill 2014-07-09 04:15:56 UTC
Description of problem:
This happens whenever plugging my external hard drive into a USB3 port. Please let me know what other info would be helpful.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.15.3-200.fc20.x86_64 root=UUID=bc93ba45-5f07-43fd-9ccc-ca40fb3e5b68 ro iommu=pt rd.md=0 rd.lvm=0 rd.dm=0 vconsole.keymap=us rd.luks=0 vconsole.font=latarcyrheb-sun16 rhgb quiet nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off
kernel:         3.15.3-200.fc20.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 0 at drivers/usb/host/xhci-ring.c:1615 handle_cmd_completion+0xe70/0xe80()
Modules linked in: ata_generic pata_acpi firewire_ohci uas firewire_core usb_storage r8169 crc_itu_t pata_atiixp mii mxm_wmi wmi
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 3.15.3-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./990FXA-UD3, BIOS F1 06/18/2013
 0000000000000000 30bbee1d70803983 ffff88022ecc3d30 ffffffff816ef1f2
 0000000000000000 ffff88022ecc3d68 ffffffff8108931d ffff880221395470
 0000000000000000 0000000221395020 ffff880221395020 ffff8800c923c000
Call Trace:
 <IRQ>  [<ffffffff816ef1f2>] dump_stack+0x45/0x56
 [<ffffffff8108931d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108944a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8151c5d0>] handle_cmd_completion+0xe70/0xe80
 [<ffffffff81459737>] ? put_device+0x17/0x20
 [<ffffffff8151ccab>] xhci_irq+0x37b/0x1b70
 [<ffffffff810afd06>] ? hrtimer_get_next_event+0xb6/0xc0
 [<ffffffff8151e4b1>] xhci_msi_irq+0x11/0x20
 [<ffffffff810e3c5e>] handle_irq_event_percpu+0x3e/0x1a0
 [<ffffffff810e3df7>] handle_irq_event+0x37/0x60
 [<ffffffff810e6b3f>] handle_edge_irq+0x6f/0x120
 [<ffffffff8101596f>] handle_irq+0xbf/0x150
 [<ffffffff816fa1da>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8170144f>] do_IRQ+0x4f/0xf0
 [<ffffffff816f642d>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff8101bd59>] ? sched_clock+0x9/0x10
 [<ffffffff8158808f>] ? cpuidle_enter_state+0x4f/0xc0
 [<ffffffff81588137>] cpuidle_enter+0x17/0x20
 [<ffffffff810d08b4>] cpu_startup_entry+0x304/0x410
 [<ffffffff81043f2b>] start_secondary+0x22b/0x310

Comment 17 nioroso_x3 2014-07-12 18:18:36 UTC
Description of problem:
via xhci still broken in kernel 3.15.3

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.15.3-200.fc20.x86_64 root=UUID=d9a60bde-932a-4204-b6bf-7f6f24938a95 ro vconsole.font=latarcyrheb-sun16 quiet iommu=pt
kernel:         3.15.3-200.fc20.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 0 at drivers/usb/host/xhci-ring.c:1615 handle_cmd_completion+0xe70/0xe80()
Modules linked in: hid_logitech_dj radeon uas usb_storage i2c_algo_bit drm_kms_helper firewire_ohci ttm firewire_core crc_itu_t drm r8169 mii ata_generic i2c_core pata_acpi
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 3.15.3-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./990FXA-UD3, BIOS F2 07/15/2013
 0000000000000000 434b647ddcc3c57d ffff88063ec03d30 ffffffff816ef1f2
 0000000000000000 ffff88063ec03d68 ffffffff8108931d ffff88061950a470
 0000000000000000 000000061950a020 ffff88061950a020 ffff88061b36c000
Call Trace:
 <IRQ>  [<ffffffff816ef1f2>] dump_stack+0x45/0x56
 [<ffffffff8108931d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108944a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff8151c5d0>] handle_cmd_completion+0xe70/0xe80
 [<ffffffff810ba065>] ? check_preempt_curr+0x75/0xa0
 [<ffffffff8151ccab>] xhci_irq+0x37b/0x1b70
 [<ffffffff8151e4b1>] xhci_msi_irq+0x11/0x20
 [<ffffffff810e3c5e>] handle_irq_event_percpu+0x3e/0x1a0
 [<ffffffff810e3df7>] handle_irq_event+0x37/0x60
 [<ffffffff810e6b3f>] handle_edge_irq+0x6f/0x120
 [<ffffffff8101596f>] handle_irq+0xbf/0x150
 [<ffffffff816fa1da>] ? atomic_notifier_call_chain+0x1a/0x20
 [<ffffffff8170144f>] do_IRQ+0x4f/0xf0
 [<ffffffff816f642d>] common_interrupt+0x6d/0x6d
 <EOI>  [<ffffffff8158808f>] ? cpuidle_enter_state+0x4f/0xc0
 [<ffffffff81588088>] ? cpuidle_enter_state+0x48/0xc0
 [<ffffffff81588137>] cpuidle_enter+0x17/0x20
 [<ffffffff810d08b4>] cpu_startup_entry+0x304/0x410
 [<ffffffff816dffe7>] rest_init+0x77/0x80
 [<ffffffff81d2dfd1>] start_kernel+0x458/0x479
 [<ffffffff81d2d982>] ? repair_env_string+0x5c/0x5c
 [<ffffffff81d2d120>] ? early_idt_handlers+0x120/0x120
 [<ffffffff81d2d5ee>] x86_64_start_reservations+0x2a/0x2c
 [<ffffffff81d2d73d>] x86_64_start_kernel+0x14d/0x170

Comment 18 Justin M. Forbes 2014-11-13 16:02:41 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 19 Justin M. Forbes 2014-12-10 15:01:59 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.